import React, { Component } from 'react';
import PropTypes from 'prop-types';
import SectionList from './sectionList/SectionList';

/**
 *
 *
 * @class SectionStoreRoom
 * @extends {Component}
 */
class SectionStoreRoom extends Component {
  constructor(props){
    super(props);
    this.flag = '1';
    this.state = {

    };
  }
  componentWillMount() {

  }

  componentDidMount(){

  }

  componentWillReceiveProps(nextProps) {

  }

  componentWillUnmount() {

  }

  showTabPane = () => {
    // let { device,resourceFlag,equipment } = this.state;
    let flag = this.flag;
    let res = [];
    switch (flag) {
      case '1':
        res.push(<SectionList />);
        break;
      default:res.push(<div>empty</div>);
        break;
    }
    return res;
  }

  render() {
    return (
      <div style={{ height: '100%' }}>
        {this.showTabPane()}
      </div>
    );
  }
}


SectionStoreRoom.propTypes = {

};


export default SectionStoreRoom;
